Bug 196945 - Review Request: python-smbpasswd - Python SMB Password Hash Generator Module
Review Request: python-smbpasswd - Python SMB Password Hash Generator Module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-27 15:23 EDT by Jochen Schmitt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 10:26:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2006-06-27 15:23:57 EDT
Spec URL: http://www.herr-schmitt.de/pub/python-smbpasswd/python-smbpasswd.spec
SRPM URL: http://www.herr-schmitt.de/pub/python-smbpasswd/python-smbpasswd-1.0.1-1.src.rpm

Description: 
This package contains a python module, which is able to generate LANMAN and
NT password hashes suiteable to us with Samba.
Comment 1 Michał Bentkowski 2006-07-22 18:00:53 EDT
I hope you're still interested in this package. It looks fine,
only thing you have to do is remove python-api dependecy, because rpm do it
automatically.
Comment 3 Michał Bentkowski 2006-07-23 14:25:45 EDT
Ok, I'll review your package.

MUST items:
 * rpmlint message:
E: python-smbpasswd-debuginfo script-without-shellbang /usr/src/debug/py-
smbpasswd-1.0.1/smbpasswd.c
   - you should change permissions of this file to 644 in %prep section
 * the package is named well
 * spec file is named well
 * License field in package spec file match the actual license (GPL)
 * spec is written in American English and is legible
 * md5sums of source used to build the package and of upstream source are
matching (0eab2c29588e32e77ce6e5d2faea7874)
 * package successfully compile on i386
 * all build dependencies is good listed (mock builds successful)
 * there is no any locales
 * package doesn't contain shared library files
 * there is no duplicate files in %files listing
 * permissions aren't set properly (rpmlint error)
 * package has a good %clean section
 * there is no .la files
 * there is no GUI applications

Thus, everything is good except for bad permissions of smbpasswd.c file.
If you fix it, I'll approve this package.
Comment 5 Michał Bentkowski 2006-07-24 11:19:16 EDT
Okay, package approved.
Comment 6 Michael J Knox 2006-07-26 21:54:20 EDT
Can this review request be closed now? Package is in CVS and out in the wild now. 

Note You need to log in before you can comment on or make changes to this bug.